#!/usr/bin/perl
# getnewlibinfo.pl
# cygwin-doc 
#
# Copyright (c) 2002, 2003, 2004 Joshua Daniel Franklin 
# 
# --------------------------------------------------------------------------
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License (GPL) as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
# --------------------------------------------------------------------------
#
#	ChangeLog:
#
#	2002-10-16  Joshua Daniel Franklin  <joshuadfranklin@yahoo.com>
#	        * add super-robust checks
#	
#	2002-07-17  Joshua Daniel Franklin  <joshuadfranklin@yahoo.com>
#	        * first attempt
#	

# The easy part
$libmfile="/oss/bld/i686-pc-cygwin/newlib/libm/libm.info";
if ( ! -f "$libmfile")
{
	die "New libm.info not found!\n(Did you run 'make info'?)\n"; 
}
system("cp $libmfile libm.info");

# newlib's libc.info* is in parts; put them all together in one
$libcfile="/oss/bld/i686-pc-cygwin/newlib/libc/libc.info";
if ( ! -f "$libcfile")
{
	die "New libc.info not found!\n(Did you run 'make info'?)\n"; 
}
@files = qw( 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-1 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-2 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-3 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-4 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-5 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-6 
	);

open (OUTF, ">libc.info") || die "Can't open output file\n";
open (INF, "$libcfile"); 
print OUTF while (<INF>); 
close (INF);

foreach (@files)
{
	close (INF);
	open (INF, "$_") || die "Can't open $_!\n";
	$_ = <INF> until (/\037/);
	print OUTF;
	print OUTF while (<INF>); 
}	
close (INF);
close (OUTF);
